aboutsummaryrefslogtreecommitdiffstats
path: root/main/xrandr/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xrandr/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xrandr/APKBUILD')
-rw-r--r--main/xrandr/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/main/xrandr/APKBUILD b/main/xrandr/APKBUILD
new file mode 100644
index 0000000000..fefa3aa843
--- /dev/null
+++ b/main/xrandr/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xrandr
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="primitive command line interface to RandR extension"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends=
+makedepends="pkgconfig libxrandr-dev libxrender-dev libx11-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2
+ $pkgname-1.3.0-clone-nameclash.patch"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 < ../$pkgname-1.3.0-clone-nameclash.patch || return 1
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="2cb19bb1c19ccf77c40032b03dbe06f0 xrandr-1.3.2.tar.bz2
+b938aad95a5ea71bce7a2529fd8f6866 xrandr-1.3.0-clone-nameclash.patch"